// JavaScript Document

teams = ['','#0000DD','#00DD00'];

function fight_log(info) {
	info = info.split('@');
	out = '';
	for (a=0,b=info.length;a<b;a++) {
		if (info[a]!='') {
			hode = info[a].split('|');
			switch (hode[0]) {
				case 'start': out = out + '<p>' + hode[1] + '. Бой между <font color="'+teams[hode[2]]+'"><b>' + hode[3] + '</b></font>['+hode[4]+'] и <font color="'+teams[hode[5]]+'"><b>' + hode[6] + '</b></font>['+hode[7]+'] начался.</p>'; break;
				case 'hit': out = out + '<p>' + hode[1] + '. <font color="'+teams[hode[2]]+'"><b>' + hode[3] + '</b></font>['+hode[4]+'] поразил <font color="'+teams[hode[5]]+'"><b>' + hode[6] + '</b></font>['+hode[7]+'] на <b>-'+hode[8]+'</b>.</p>'; break;
				case 'krit': out = out + '<p>' + hode[1] + '. <font color="'+teams[hode[2]]+'"><b>' + hode[3] + '</b></font>['+hode[4]+'] поразил <font color="'+teams[hode[5]]+'"><b>' + hode[6] + '</b></font>['+hode[7]+'] сокрушительным ударом на <font color="#DD0000"><b>-'+hode[8]+'</b></font>.</p>'; break;
				case 'block': out = out + '<p>' + hode[1] + '. <font color="'+teams[hode[2]]+'"><b>' + hode[3] + '</b></font>['+hode[4]+'] заблокировал удар от <font color="'+teams[hode[5]]+'"><b>' + hode[6] + '</b></font>['+hode[7]+'].</p>'; break;
				case 'uvorot': out = out + '<p>' + hode[1] + '. <font color="'+teams[hode[2]]+'"><b>' + hode[3] + '</b></font>['+hode[4]+'] увернулся от удара <font color="'+teams[hode[5]]+'"><b>' + hode[6] + '</b></font>['+hode[7]+'].</p>'; break;
				case 'finish': out = out + '<p><b>Бой завершен</b>.</p>'; break;
			}
		}
	}
	d("log").innerHTML = out;
}
